export function makeArrayIds({ data, valueWhenNull }: { data: any; valueWhenNull?: string }): string[] {
  const ids = [];
  if (!data) {
    if (valueWhenNull) return [valueWhenNull];
    else return [];
  } else if (Array.isArray(data)) {
    data?.forEach((item) => {
      const id = item?.id ?? item?.uuid;
      if (item?.id) ids.push(id);
    });
  } else {
    const id = data?.id ?? data?.uuid;
    if (id) ids.push(id);
  }
  return ids;
}
